Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.network.packet
Class Packet11PlayerPosition

    java.lang.Object
      net.minecraft.network.packet.Packet
          net.minecraft.network.packet.Packet10Flying
              net.minecraft.network.packet.Packet11PlayerPosition

    public class Packet11PlayerPosition

extends Packet10Flying

Field Summary

Fields inherited from class net.minecraft.network.packet.Packet10Flying
`moving, onGround, pitch, rotating, stance, xPosition, yaw, yPosition, zPosition`

Fields inherited from class net.minecraft.network.packet.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet11PlayerPosition()`
`Packet11PlayerPosition(double par1, double par3, double par5, double par7, boolean par9)`

Method Summary
`int` | `getPacketSize()` Abstract.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.network.packet.Packet10Flying
`containsSameEntityIDAs, isRealPacket, processPacket`

Methods inherited from class net.minecraft.network.packet.Packet
`getNewPacket, getPacketId, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Packet11PlayerPosition

    public Packet11PlayerPosition()

### Packet11PlayerPosition

    public Packet11PlayerPosition(double par1,
                                  double par3,
                                  double par5,
                                  double par7,
                                  boolean par9)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Overrides:
    `readPacketData` in class `Packet10Flying`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Overrides:
    `writePacketData` in class `Packet10Flying`
  Throws:
    `IOException`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Overrides:
    `getPacketSize` in class `Packet10Flying`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD